Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/inventory/purchase-orders/{id}

Prev Next
Get
/public/v1/inventory/purchase-orders/{id}

Retrieves a specified purchase order

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Path parameters
id
string($uuid)Required

Identifier of the purchase order

Responses
200

purchase order entity

Expand All
object

A Purchase Order.

id
string (uuid)

The unique identifier of the Purchase Order.

number
string | null

Purchase Order Number.

template
object (R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderTemplateReference)

A reference to a purchase order template.

id
string (uuid)

Unique identifier of the purchase order template.

name
string | null

Display name of the purchase order template.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

vendor
object (R365.Inventory.Shared.Contracts.Vendors.VendorReference)

A reference to a vendor.

id
string (uuid)

Unique identifier of the vendor.

name
string | null

Display name of the vendor.

number
string | null

Number assigned to the vendor.

orderDate
string (date)

Order Date.

deliveryDate
string (date)

Delivery Date.

status
string | null

Purchase Order Status.

shipToAddress
object (R365.Inventory.Shared.Contracts.Locations.Address)

A street or shipping address.

addressLine1
string | null
addressLine2
string | null
addressLine3
string | null
city
string | null
state
string | null
country
string | null
postalCode
string | null
comment
string | null

Comment.

details
Array of object (R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderDetailPublicDto) | null

List of Purchase Order Details.

object

Purchase Order Detail

id
string (uuid)

The unique identifier for the purchase order detail.

storageLocationName
string | null

Storage Location Name.

vendorItem
object (R365.Inventory.Shared.Contracts.Vendors.VendorItemReference)

A reference to a vendor item.

id
string (uuid) | null

Unique identifier of the vendor item.

name
string | null

Display name of the vendor item.

number
string | null

Number assigned to the vendor item.

brandItemNumber
string | null
purchaseUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

splitUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity
number (double)

Quantity.

total
number (double)

Total.

unitAmount
number (double)

Unit Amount (Vendor Item Price)

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

comment
string | null

Optional comment for the item, inherited from the template on order creation.

totalAmount
number (double)

The total amount of the Purchase Order.

totalQuantity
number (double)

The total ordered item quantity of the Purchase Order.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date the purchase order was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date the purchase order was last modified.

Expand All
object

A Purchase Order.

id
string (uuid)

The unique identifier of the Purchase Order.

number
string | null

Purchase Order Number.

template
object (R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderTemplateReference)

A reference to a purchase order template.

id
string (uuid)

Unique identifier of the purchase order template.

name
string | null

Display name of the purchase order template.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

vendor
object (R365.Inventory.Shared.Contracts.Vendors.VendorReference)

A reference to a vendor.

id
string (uuid)

Unique identifier of the vendor.

name
string | null

Display name of the vendor.

number
string | null

Number assigned to the vendor.

orderDate
string (date)

Order Date.

deliveryDate
string (date)

Delivery Date.

status
string | null

Purchase Order Status.

shipToAddress
object (R365.Inventory.Shared.Contracts.Locations.Address)

A street or shipping address.

addressLine1
string | null
addressLine2
string | null
addressLine3
string | null
city
string | null
state
string | null
country
string | null
postalCode
string | null
comment
string | null

Comment.

details
Array of object (R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderDetailPublicDto) | null

List of Purchase Order Details.

object

Purchase Order Detail

id
string (uuid)

The unique identifier for the purchase order detail.

storageLocationName
string | null

Storage Location Name.

vendorItem
object (R365.Inventory.Shared.Contracts.Vendors.VendorItemReference)

A reference to a vendor item.

id
string (uuid) | null

Unique identifier of the vendor item.

name
string | null

Display name of the vendor item.

number
string | null

Number assigned to the vendor item.

brandItemNumber
string | null
purchaseUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

splitUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity
number (double)

Quantity.

total
number (double)

Total.

unitAmount
number (double)

Unit Amount (Vendor Item Price)

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

comment
string | null

Optional comment for the item, inherited from the template on order creation.

totalAmount
number (double)

The total amount of the Purchase Order.

totalQuantity
number (double)

The total ordered item quantity of the Purchase Order.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date the purchase order was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date the purchase order was last modified.

Expand All
object

A Purchase Order.

id
string (uuid)

The unique identifier of the Purchase Order.

number
string | null

Purchase Order Number.

template
object (R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderTemplateReference)

A reference to a purchase order template.

id
string (uuid)

Unique identifier of the purchase order template.

name
string | null

Display name of the purchase order template.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

vendor
object (R365.Inventory.Shared.Contracts.Vendors.VendorReference)

A reference to a vendor.

id
string (uuid)

Unique identifier of the vendor.

name
string | null

Display name of the vendor.

number
string | null

Number assigned to the vendor.

orderDate
string (date)

Order Date.

deliveryDate
string (date)

Delivery Date.

status
string | null

Purchase Order Status.

shipToAddress
object (R365.Inventory.Shared.Contracts.Locations.Address)

A street or shipping address.

addressLine1
string | null
addressLine2
string | null
addressLine3
string | null
city
string | null
state
string | null
country
string | null
postalCode
string | null
comment
string | null

Comment.

details
Array of object (R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderDetailPublicDto) | null

List of Purchase Order Details.

object

Purchase Order Detail

id
string (uuid)

The unique identifier for the purchase order detail.

storageLocationName
string | null

Storage Location Name.

vendorItem
object (R365.Inventory.Shared.Contracts.Vendors.VendorItemReference)

A reference to a vendor item.

id
string (uuid) | null

Unique identifier of the vendor item.

name
string | null

Display name of the vendor item.

number
string | null

Number assigned to the vendor item.

brandItemNumber
string | null
purchaseUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

splitUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity
number (double)

Quantity.

total
number (double)

Total.

unitAmount
number (double)

Unit Amount (Vendor Item Price)

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

comment
string | null

Optional comment for the item, inherited from the template on order creation.

totalAmount
number (double)

The total amount of the Purchase Order.

totalQuantity
number (double)

The total ordered item quantity of the Purchase Order.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date the purchase order was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date the purchase order was last modified.